import QtQuick 1.0

Rectangle{
    property string gradient1color: "lightgrey"
    property string gradient2color: "#EFEFEF"
    width: 20
    height: 20
    radius: 1
    anchors {verticalCenter: parent.verticalCenter}

    gradient: Gradient{
        GradientStop{position: 0; color: gradient1color}
        GradientStop{position: 1; color: gradient2color}
    }

    Text{
        id: set1Value1
        anchors.centerIn: parent
        color: "black"
        font.pixelSize: 12
    }

    function setValue(val){
        set1Value1.text = val;
    }
}
