import QtQuick 1.0

Rectangle {
    property alias position: positionText.text
    property alias name: nameText.text

    width: parent.width * .17
    height: 19
    radius: 3
    anchors.leftMargin: parent.width * .01
    gradient: Gradient {
        GradientStop {position: 0.0; color: "lightgrey"}
        GradientStop {position: 1.0; color: "white"}
    }
    border.color: "lightgrey"
    Rectangle{
        id: positionItem
        width: parent.width * .25
        height: parent.height
        gradient: Gradient {
            GradientStop {position: 0.0; color: "red"}
            GradientStop {position: 1.0; color: "darkred"}
        }
        Text{
            id: positionText
            color: "white"
            font {pixelSize: 18; bold: true}
            anchors.centerIn: parent
        }
    }
    Item{
        width: parent.width * .75
        height: parent.height
        anchors.left: positionItem.right
        Text{
            id: nameText
            color: "black"
            font {pixelSize: 18; bold: true}
            anchors.centerIn: parent
        }
    }
}
