import QtQuick 1.0

Rectangle{
    property int clickChange: 0
    id: favouritesButton
    //anchors {top: disciplinesMenu.top; left: disciplinesMenu.left; right: disciplinesMenu.right}
    width: menuContainer.width
    height: (container.height - 23) * 0.1667
    color: "transparent" //container.color
    visible: true
    border.color: "lightgrey"
    border.width: 1
    z: 1

    Image{
        id: favouritesIcon
        anchors {verticalCenter: parent.verticalCenter; left: parent.left; leftMargin: 10}
        source: "../../rsc/favouritesIcon.png"
    }
    Text{
        id: texxxxt
        anchors {verticalCenter: favouritesIcon.verticalCenter; left: favouritesIcon.right; leftMargin: 5}
        text: "Ulubione"
        color: "grey"
        font.pixelSize: 14
    }
    /*
    Rectangle{ // border
        height: 1
        width: menuContainer.width
        anchors.bottom: parent.bottom
        color: "lightgrey"
    }
    */
    Timer{
        running: content.clickChange == 1
        interval: 10
        onTriggered: {
            favouritesButton.color = "lightgrey";
            texxxxt.color = "black";
            content.clickChange = 2;
        }
    }
    Timer{
        running: content.clickChange == 2
        interval:  100
        onTriggered: {
            favouritesButton.color = "transparent";
            texxxxt.color = "lightgrey";
            content.clickChange = 0;
        }
    }
    MouseArea{
        anchors.fill: parent

        onEntered: {
            favouritesButton.color = "lightgrey";
            texxxxt.color = "black";
        }
        onExited: {
            favouritesButton.color = container.color;
            texxxxt.color = "lightgrey";
        }
        onClicked: {
            menuContainer.state = "FAVOURITES"
        }
    }
}
