import QtQuick 1.0
import "../menu"
import "../navi"

Item{
    width: menu.width
    height: menu.height

    FavouritesMenuWrapper{
        anchors {top: parent.top; bottom: parent.bottom; left: parent.left; right: parent.right}
        delegate: FavouritesCategoryMenuItem{}
        onCurrentIndexChanged: {
            if (currentIndex == -1){
                return;
            }
            favouritesRightView.showLoadView()
            getTournaments(currentItem.category_ID, fillTournamentsInFavourites);
        }
    }
}
