import QtQuick 1.0

Item{
    width: parent.width
    height: 90
    Item{
        id: cTimeItem
        width: parent.width * .15
        height: parent.height
        Text{
            id: cTimeText
            color: "black"
            width: parent.width
            height: parent.height
            horizontalAlignment: Text.AlignRight
            verticalAlignment: Text.AlignVCenter
            font {pixelSize: 12; bold: true}
            text: time
        }
    }
    Image{
        id: cImg
        width: parent.width * .05
        height: 20
        fillMode: Image.PreserveAspectFit
        anchors {left: cTimeItem.right; verticalCenter: parent.verticalCenter; leftMargin: parent.width * .02}
        source: imgSrc
    }
    Item{
        id: cContentItem
        width: parent.width * .78
        height: parent.height
        anchors {left: cImg.right; verticalCenter: parent.verticalCenter; leftMargin: parent.width * .02}
        Text{
            id: cContentText
            color: "black"
            width: parent.width
            height: parent.height
            verticalAlignment: Text.AlignVCenter
            wrapMode: Text.WordWrap
            font {pixelSize: 11}
            text: content
        }
    }
    Rectangle{
        width: parent.width
        height: 1
        color: "black"
        anchors.bottom: parent.bottom
    }
}
