import QtQuick 1.0
import "../favourites"
import "../navi"
import ".."
import "../../js/StatisticsAPI.js" as Stat

Item{
    width: menu.width
    height: menu.height
    //anchors {top: parent.top; left: parent.left; right: parent.right; bottom: parent.bottom}
    /*
    FavouritesButton{
        id: favouritesButton
        x: 0
        y: 0
    }
    */
    Rectangle{
        width: parent.width
        height: 10
        anchors.top: parent.top
        color: "grey"
        z: 1000
        Image{
            anchors.centerIn: parent
            source: "../../rsc/ch_up.gif"
        }
        visible: !menuWrapper.atYBeginning
    }
    MenuWrapper{
        id: menuWrapper
        width: parent.width

        delegate: DisciplineMenuItem{}

        function indChanged(){
            if (currentIndex > 0 /*&& currentIndex < model.count - 1*/){
                eventsView.clearDatePickers();
                discipline_id = currentItem.disciplineID;
                switch(discipline_id){
                    case 1:
                        Stat.send("aplikacja_livezone_symbian/pilka_nozna")
                        break
                    case 5:
                        Stat.send("aplikacja_livezone_symbian/tenis")
                        break
                    case 4:
                        Stat.send("aplikacja_livezone_symbian/hokej_na_lodzie")
                        break
                    case 2:
                        Stat.send("aplikacja_livezone_symbian/koszykowka")
                        break
                    case 6:
                        Stat.send("aplikacja_livezone_symbian/pilka_reczna")
                        break
                    case 11:
                        Stat.send("aplikacja_livezone_symbian/sporty_motorowe")
                        break
                }
                category_id = 0;
                tournament_id = 0;
                team_id = 0;
                getCategories(currentItem.disciplineID);
                resetEventsSearch();
                console.log(111)
                return
            }
            if (currentIndex == 0){
                Stat.send("aplikacja_livezone_symbian/ulubione")
            } else {
                Stat.send("aplikacja_livezone_symbian/ustawienia")
            }
        }

        onCurrentIndexChanged: indChanged()
    }
    Rectangle{
        width: parent.width
        height: 10
        anchors.bottom: parent.bottom
        color: "grey"
        z: 1000
        Image{
            anchors.centerIn: parent
            source: "../../rsc/ch_down.gif"
        }
        visible: !menuWrapper.atYEnd
    }

    LoadingViewSmall{
        id: loadingView
        anchors.fill: parent
    }

    function showLoadingView(){
        loadingView.visible = true;
    }

    function hideLoadingView(){
        loadingView.visible = false;
    }

    function clear(){
        menuWrapper.model.clear();
    }

    function append(el){
        menuWrapper.model.append(el);
    }

    function setCurrentIndex(ind){
        menuWrapper.currentIndex = ind;
    }
}
