import QtQuick 1.0
import "../js/MyTimer.js" as JS

Item {
    id: rootView

    Timer {
        id: timerId
        running: false; repeat: false
        onTriggered: { timerTriggered() }
    }

    function startTimer(interval, callback) {
        timerId.interval = interval;
        timerId.start();
        JS.callbackFunction = callback;
    }

    function stopTimer() {
        //console.log("MyTimer.qml stopTimer" + ", Chek if timer was running: " + timerId.running);
        timerId.stop();
        rootView.destroy(1);
    }

    function timerTriggered() {
        JS.callbackFunction();
        rootView.destroy(1);
    }

    //Component.onDestruction: console.log("MyTimer.qml Destruction Beginning!")
}
