import QtQuick 1.0

Item {
    id: matchTimeItem
    height: 22
    anchors {top: parent.top; left: parent.left; leftMargin: 10}
    Image{
        id: clock
        width: 20
        height: 20
        fillMode: Image.PreserveAspectFit
        smooth: true
        anchors {left: parent.left; bottom: parent.bottom}
        source: "../../../rsc/clock_02.png"
    }
    Text{
        id: matchTimeText
        anchors {left: clock.right; verticalCenter: clock.verticalCenter; leftMargin: 5}
        color: "#A41F3C"
        font.pixelSize: 14
        text: date
    }
}

