import QtQuick 1.0

Rectangle{
    property alias title: texxt.text
    property alias icon: img.source
    signal clicked

    property int clickChange: 0

    id: button
    border.color: "lightgrey"
    border.width: 1
    radius: 5
    width: parent.width - 10
    height: 45
    color: "transparent" //container.color
    //
    Item{
        width: 53
        height: 15
        anchors.centerIn: parent
        Image{
            id: img
            //source: "../../rsc/edit.gif"
        }
        Text{
            id: texxt
            anchors {left: img.right; leftMargin: 10}
            color: "lightgrey"
            font.pixelSize: defaultFontSize
            //text: "edytuj"
        }
    }
    Timer{
        running: button.clickChange == 1
        interval: 10
        onTriggered: {
            button.color = "lightgrey"
            texxt.color = "black"
            button.clickChange = 2;
        }
    }
    Timer{
        running: button.clickChange == 2
        interval:  100
        onTriggered: {
            button.color = "transparent" //container.color
            texxt.color = "lightgrey"
            button.clickChange = 0;
        }
    }
    MouseArea{
        anchors.fill: parent
        onClicked: {
            button.clickChange = 1
            button.clicked()
        }
    }
}
