import QtQuick 1.0

Item {

    width: parent.width - 8
    height: itemHeight
    z: 0
    /*
    Rectangle{
        width: parent.width
        height: parent.height
        border.color: "lightgrey"
        border.width: 1
        color: container.color; radius: 10
        z: 0

    }
    */
    Image {
        id: iconImg
        width: icon ? 58 : 0
        height: itemHeight
        fillMode: Image.PreserveAspectFit
        smooth: true
        anchors {verticalCenter: parent.verticalCenter; left: parent.left; leftMargin: 10}
        source: icon
    }
    Text{
        anchors {left: iconImg.right; right: parent.right; verticalCenter: iconImg.verticalCenter; leftMargin: 5}
        color: "white"
        wrapMode: Text.WordWrap
        font.pixelSize: defaultFontSize
        font.bold: true
        text: title
    }
    Image{
        width: parent.width
        height: 2
        source: "../../rsc/linia_menu.png"
        fillMode: Image.PreserveAspectCrop
        clip: true
        visible: index < ListView.view.model.count - 1
        //smooth: true
        anchors {
            left: parent.left
            bottom: parent.bottom
        }
    }
    MouseArea{
        anchors.fill: parent
        onClicked: {
            currentIndex = index;
        }
    }
}
