import QtQuick 1.0

Item {

    width: parent.width
    height: 52
    //z: 0

    Item {
        id: iconItem
        width: 40
        height: parent.height
        anchors {left: parent.left; leftMargin: 10}
        Image {
            width: parent.width
            height: parent.height
            fillMode: Image.PreserveAspectFit
            source: icon
            anchors.centerIn: parent
        }
    }

    Text{
        anchors {left: iconItem.right; right: parent.right; verticalCenter: iconItem.verticalCenter; leftMargin: 5}
        color: "#333333"
        wrapMode: Text.WordWrap
        font.pixelSize: 14
        text: title
    }

    Rectangle {
        anchors {bottom: parent.bottom; left: parent.left}
        width: parent.width * .9
        height: 1
        color: "lightgrey"
    }
    MouseArea {
        anchors.fill: parent
        onClicked: {
            currentIndex = index
        }
    }
}

