import QtQuick 1.0

MenuItem {
    property int categoryID: categoryId
    //property int xStarted
    id: item

    PrevImg{
        id: prevImg
    }

    Image{
        id: img
        width: src ? 58 : 0
        height: itemHeight
        fillMode: Image.PreserveAspectFit
        smooth: true
        anchors {verticalCenter: parent.verticalCenter; left: prevImg.right; leftMargin: 5}
        source: src
    }

    MenuItemText{
        anchors {left: img.right; right: nextImg.left; verticalCenter: parent.verticalCenter}
        text: name
    }

    NextImg {
        id: nextImg
    }

    /*
    MouseArea{
        anchors.fill: parent
        //onExited: currentIndex = -1;
        onEntered: {
            xStarted = mouseX;
        }
        onReleased: {
            currentIndex = index;
            if (xStarted < item.width / 2 && mouseX > item.width / 2){
                menu.currentIndex = 0;
            } else {
                menu.currentIndex = 2;
            }
        }
    }
    */
    MouseArea{
        id: leftMA
        anchors {top: parent.top; left: parent.left; bottom: parent.bottom}
        width: parent.width * .33
        //onEntered: currentIndex = index;
        onClicked: {
            menu.currentIndex = 0;
        }
    }
    MouseArea{
        anchors {top: parent.top; left: leftMA.right; bottom: parent.bottom; right: parent.right}
        //onEntered: currentIndex = index;
        onClicked: {
            if (currentIndex == index){
                 indChanged()
            } else {
                currentIndex = index;
            }
            menu.currentIndex = 2;
        }
    }
}
