import QtQuick 1.0

MenuItem {
    property int disciplineID: disciplineId

    Image{
        id: img
        width: src ? 58 : 0
        height: itemHeight
        fillMode: Image.PreserveAspectFit
        smooth: true
        anchors {verticalCenter: parent.verticalCenter; left: parent.left; leftMargin: 5}
        source: src
    }

    MenuItemText{
        anchors {left: img.right; right: nextImg.left; verticalCenter: img.verticalCenter; leftMargin: 5}
        font.pixelSize: 14
        text: name
    }

    NextImg {
        id: nextImg
    }

    MouseArea{
        anchors.fill: parent
        //onEntered: currentIndex = index;
        onClicked: {

            if (currentIndex != 0 && currentIndex == index){
                indChanged()
            } else {
                currentIndex = index;
            }
            if (currentIndex == 0){ // favourites button
                menuContainer.state = "FAVOURITES"
                return
            }
            /*
            if (currentIndex == menuWrapper.model.count - 1){ // settings button
                menuContainer.state = "SETTINGS"
                return
            }
            */
            menu.currentIndex = 1;
        }
    }
}
