import QtQuick 1.0
import ".."

ListView{
    id: mwrapper
    height: parent.height - 1
    //contentHeight: menu.height
    boundsBehavior: Flickable.StopAtBounds
    width: parent.width
    model: ListModel{id: menuListModel}
    highlight: ItemHighlight{}
    highlightFollowsCurrentItem: false
    contentHeight: menu.height
    clip: true
    z: 0
    ScrollBar{flickable: mwrapper; color: "white"}
    Component.onCompleted: {
        currentIndex = -1;
    }
}
