import QtQuick 1.0

MenuItem {
    property int tournamentID: tournamentId
    //property int xStarted
    id: item

    PrevImg {
        id: prevImg
    }

    MenuItemText{
        anchors {left: prevImg.right; right: nextImg.left; verticalCenter: parent.verticalCenter}
        text: name
    }

    NextImg {
        id: nextImg
        visible: discipline_id != 11
    }
    /*
    MouseArea{
        anchors.fill: parent
        onEntered: {
            xStarted = mouseX;
        }
        onReleased: {
            currentIndex = index;
            if (xStarted < item.width / 2 && mouseX > item.width / 2){
                menu.currentIndex = 1;
            } else {
                if (discipline_id !== 11){
                    menu.currentIndex = 3;
                }
            }
        }
    }
    */
    MouseArea{
        id: leftMA
        anchors {top: parent.top; left: parent.left; bottom: parent.bottom}
        width: parent.width * .33
        //onEntered: currentIndex = index;
        onClicked: {
            menu.currentIndex = 1;
        }
    }
    MouseArea{
        anchors {top: parent.top; left: leftMA.right; bottom: parent.bottom; right: parent.right}
        //onEntered: currentIndex = index;
        onClicked: {
            if (currentIndex == index){
                 indChanged()
            } else {
                currentIndex = index;
            }
            if (discipline_id !== 11){
                menu.currentIndex = 3;
            }
        }
    }
}
