import QtQuick 1.0

Item{
    id: naviBar

    anchors {bottom: parent.bottom; left: parent.left; right: parent.right;}
    height: itemHeight - 11
    //color: container.color
    //border.color: container.color
    z: 10000

    function onclicked(){
        if (menuContainer.state == "FAVOURITES_MENU"){
            if (favouritesMenu.currentIndex == 0){
                menuContainer.state = "FAVOURITES"
                return;
            }
            var i = favouritesMenu.indexAt(favouritesMenu.contentX + 1, 0);
            favouritesMenu.positionViewAtIndex(i - 1, ListView.Visible);
            favouritesMenu.currentIndex = i - 1;
            return;
        } else if (menuContainer.state == "FAVOURITES" || menuContainer.state == "SETTINGS"){
            menuContainer.state = "MENU"
            return;
        }
        var i = menu.indexAt(menu.contentX + 1, 0);
        menu.positionViewAtIndex(i - 1, ListView.Visible);
        menu.currentIndex = i - 1;
    }

    Item{
        anchors {left: parent.left;}
        height: parent.height
        width: 33
        Image{
            anchors {left: parent.left; verticalCenter: parent.verticalCenter; leftMargin: 5}
            source: "../../rsc/close-button.gif"
        }
        MouseArea{
            anchors.fill: parent
            onClicked: {
                Qt.quit();
            }
        }
    }

    Item{
        id: level2
        anchors {right: parent.right;}
        height: parent.height
        width: 150
        visible: false
        Image{
            width: parent.width
            height: parent.height
            fillMode: Image.PreserveAspectFit
            anchors {verticalCenter: parent.verticalCenter;}
            source: "../../rsc/status02.png"

        }
        MouseArea{
            id: l2ma
            anchors.fill: parent
            onClicked: onclicked()
        }
    }

    Item{
        id: level3
        anchors {right: parent.right;}
        height: parent.height
        width: 150
        visible: false
        Image{
            width: parent.width
            height: parent.height
            fillMode: Image.PreserveAspectFit
            anchors {verticalCenter: parent.verticalCenter;}
            source: "../../rsc/status03.png"
        }
        MouseArea{
            id: l3ma
            anchors.fill: parent
            onClicked: onclicked()
        }
    }

    Item{
        id: level4
        anchors {right: parent.right;}
        height: parent.height
        width: 150
        visible: false
        Image{
            width: parent.width
            height: parent.height
            fillMode: Image.PreserveAspectFit
            anchors {verticalCenter: parent.verticalCenter;}
            source: "../../rsc/status04.png"
        }
        MouseArea{
            id: l4ma
            anchors.fill: parent
            onClicked: onclicked()
        }
    }

    Item{
        id: level5
        anchors {right: parent.right;}
        height: parent.height
        width: 150
        visible: false
        Image{
            width: parent.width
            height: parent.height
            fillMode: Image.PreserveAspectFit
            anchors {verticalCenter: parent.verticalCenter;}
            source: "../../rsc/status05.png"
        }
        MouseArea{
            id: l5ma
            anchors.fill: parent
            onClicked: onclicked()
        }
    }

    function hideNavis(){
        level2.visible = false;
        level3.visible = false;
        level4.visible = false;
        level5.visible = false;
    }

    function showNavi(level){
        hideNavis();
        switch (level){
            case 2:
                level2.visible = true;
                break;
            case 3:
                level3.visible = true;
                break;
            case 4:
                level4.visible = true;
                break;
            case 5:
                level5.visible = true;
                break;
        }
    }
}
