function shiftDate(date, days){
    var newDate = new Date(date.getTime());
    newDate.setTime(date.getTime() + 86400000 * days);
    return newDate;
}

function getWeekDayStr(date){
    switch (date.getDay()){
        case 1:
            return 'pon.';
        case 2:
            return 'wt.';
        case 3:
            return 'śr.';
        case 4:
            return 'czw.';
        case 5:
            return 'pt.';
        case 6:
            return 'sob.';
        case 0:
            return 'niedz.';
    }
}

function getWeekDayFullStr(date){
    switch (date.getDay()){
        case 1:
            return 'poniedziałek';
        case 2:
            return 'wtorek';
        case 3:
            return 'środa';
        case 4:
            return 'czwartek';
        case 5:
            return 'piątek';
        case 6:
            return 'sobota';
        case 0:
            return 'niedziela';
    }
}

function getMonthStr(date){
    switch (date.getMonth()){
        case 0:
            return 'styczeń';
        case 1:
            return 'luty';
        case 2:
            return 'marzec';
        case 3:
            return 'kwiecień';
        case 4:
            return 'maj';
        case 5:
            return 'czerwiec';
        case 6:
            return 'lipiec';
        case 7:
            return 'sierpień';
        case 8:
            return 'wrzesień';
        case 9:
            return 'październik';
        case 10:
            return 'listopad';
        case 11:
            return 'grudzień';
    }
}
